<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: FTPServer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="classFTPServer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">FTPServer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFTPServer_1_1FileException.html">FileException</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a696aa4eff69b522268462017f8927c53"><td class="memItemLeft" align="right" valign="top"><a id="a696aa4eff69b522268462017f8927c53"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setCredentials</b> (std::string userid, std::string password)</td></tr>
<tr class="separator:a696aa4eff69b522268462017f8927c53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84264700de3f7a384a885977145ba9c0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFTPServer.html#a84264700de3f7a384a885977145ba9c0">start</a> ()</td></tr>
<tr class="separator:a84264700de3f7a384a885977145ba9c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adee541fc29714c9ff5f478892b0efe60"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFTPServer.html#adee541fc29714c9ff5f478892b0efe60">setPort</a> (uint16_t port)</td></tr>
<tr class="separator:adee541fc29714c9ff5f478892b0efe60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a193be61985bf88aa0cc70834a801916a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFTPServer.html#a193be61985bf88aa0cc70834a801916a">setCallbacks</a> (<a class="el" href="classFTPCallbacks.html">FTPCallbacks</a> *pFTPCallbacks)</td></tr>
<tr class="separator:a193be61985bf88aa0cc70834a801916a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a89b431ba6aab76fc1da8f9aa3a4c3cc6"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFTPServer.html#a89b431ba6aab76fc1da8f9aa3a4c3cc6">getCurrentDirectory</a> ()</td></tr>
<tr class="separator:a89b431ba6aab76fc1da8f9aa3a4c3cc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:ae35a3102319879057033625bc79bad09"><td class="memItemLeft" align="right" valign="top"><a id="ae35a3102319879057033625bc79bad09"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>RESPONSE_150_ABOUT_TO_OPEN_DATA_CONNECTION</b> = 150</td></tr>
<tr class="separator:ae35a3102319879057033625bc79bad09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a484776e80764f6fbe338bdae0c2c02fd"><td class="memItemLeft" align="right" valign="top"><a id="a484776e80764f6fbe338bdae0c2c02fd"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>RESPONSE_200_COMMAND_OK</b> = 200</td></tr>
<tr class="separator:a484776e80764f6fbe338bdae0c2c02fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac76c555006d942aca0c21835561bc91b"><td class="memItemLeft" align="right" valign="top"><a id="ac76c555006d942aca0c21835561bc91b"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>RESPONSE_202_COMMAND_NOT_IMPLEMENTED</b> = 202</td></tr>
<tr class="separator:ac76c555006d942aca0c21835561bc91b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56012e950889fffc5c2e13a5971420c4"><td class="memItemLeft" align="right" valign="top"><a id="a56012e950889fffc5c2e13a5971420c4"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>RESPONSE_212_DIRECTORY_STATUS</b> = 212</td></tr>
<tr class="separator:a56012e950889fffc5c2e13a5971420c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40f5cd105e49830bb936b21ac8a5920f"><td class="memItemLeft" align="right" valign="top"><a id="a40f5cd105e49830bb936b21ac8a5920f"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>RESPONSE_213_FILE_STATUS</b> = 213</td></tr>
<tr class="separator:a40f5cd105e49830bb936b21ac8a5920f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca41f3a482cce434b74e4238de367fb7"><td class="memItemLeft" align="right" valign="top"><a id="aca41f3a482cce434b74e4238de367fb7"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>RESPONSE_214_HELP_MESSAGE</b> = 214</td></tr>
<tr class="separator:aca41f3a482cce434b74e4238de367fb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4ae6176741ec5775efc0e2b96956fa5"><td class="memItemLeft" align="right" valign="top"><a id="ac4ae6176741ec5775efc0e2b96956fa5"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>RESPONSE_220_SERVICE_READY</b> = 220</td></tr>
<tr class="separator:ac4ae6176741ec5775efc0e2b96956fa5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48c3f6a73268bc30596ee162c2060bc7"><td class="memItemLeft" align="right" valign="top"><a id="a48c3f6a73268bc30596ee162c2060bc7"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>RESPONSE_221_CLOSING_CONTROL_CONNECTION</b> = 221</td></tr>
<tr class="separator:a48c3f6a73268bc30596ee162c2060bc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09b1f13669cadca5fb913b89e514c97b"><td class="memItemLeft" align="right" valign="top"><a id="a09b1f13669cadca5fb913b89e514c97b"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>RESPONSE_230_USER_LOGGED_IN</b> = 230</td></tr>
<tr class="separator:a09b1f13669cadca5fb913b89e514c97b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26c65415a6e58e32925324978e7f9a52"><td class="memItemLeft" align="right" valign="top"><a id="a26c65415a6e58e32925324978e7f9a52"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>RESPONSE_226_CLOSING_DATA_CONNECTION</b> = 226</td></tr>
<tr class="separator:a26c65415a6e58e32925324978e7f9a52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69c8357ed283b99846163b0a63ef93ff"><td class="memItemLeft" align="right" valign="top"><a id="a69c8357ed283b99846163b0a63ef93ff"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>RESPONSE_227_ENTERING_PASSIVE_MODE</b> = 227</td></tr>
<tr class="separator:a69c8357ed283b99846163b0a63ef93ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89377b7e9f6d584f93e2a613a028a601"><td class="memItemLeft" align="right" valign="top"><a id="a89377b7e9f6d584f93e2a613a028a601"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>RESPONSE_331_PASSWORD_REQUIRED</b> = 331</td></tr>
<tr class="separator:a89377b7e9f6d584f93e2a613a028a601"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affe7cbfb8bad83ec57b71d107d7735f2"><td class="memItemLeft" align="right" valign="top"><a id="affe7cbfb8bad83ec57b71d107d7735f2"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>RESPONSE_332_NEED_ACCOUNT</b> = 332</td></tr>
<tr class="separator:affe7cbfb8bad83ec57b71d107d7735f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a690d9cd92850553312636259a9a7831d"><td class="memItemLeft" align="right" valign="top"><a id="a690d9cd92850553312636259a9a7831d"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>RESPONSE_500_COMMAND_UNRECOGNIZED</b> = 500</td></tr>
<tr class="separator:a690d9cd92850553312636259a9a7831d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fd1703cbf00711a685d8b0b70967b75"><td class="memItemLeft" align="right" valign="top"><a id="a5fd1703cbf00711a685d8b0b70967b75"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>RESPONSE_502_COMMAND_NOT_IMPLEMENTED</b> = 502</td></tr>
<tr class="separator:a5fd1703cbf00711a685d8b0b70967b75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace783ed5e1f4cc4ef9839f26957a448c"><td class="memItemLeft" align="right" valign="top"><a id="ace783ed5e1f4cc4ef9839f26957a448c"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>RESPONSE_503_BAD_SEQUENCE</b> = 503</td></tr>
<tr class="separator:ace783ed5e1f4cc4ef9839f26957a448c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab707086e7b2ab50bac2c6a75b7d2a1c4"><td class="memItemLeft" align="right" valign="top"><a id="ab707086e7b2ab50bac2c6a75b7d2a1c4"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>RESPONSE_530_NOT_LOGGED_IN</b> = 530</td></tr>
<tr class="separator:ab707086e7b2ab50bac2c6a75b7d2a1c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adeda91f2ac68626962a7a3b57b2c8eba"><td class="memItemLeft" align="right" valign="top"><a id="adeda91f2ac68626962a7a3b57b2c8eba"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>RESPONSE_550_ACTION_NOT_TAKEN</b> = 550</td></tr>
<tr class="separator:adeda91f2ac68626962a7a3b57b2c8eba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0bf42355715fde2d0e553003ed661c4"><td class="memItemLeft" align="right" valign="top"><a id="af0bf42355715fde2d0e553003ed661c4"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>RESPONSE_553_FILE_NAME_NOT_ALLOWED</b> = 553</td></tr>
<tr class="separator:af0bf42355715fde2d0e553003ed661c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a89b431ba6aab76fc1da8f9aa3a4c3cc6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89b431ba6aab76fc1da8f9aa3a4c3cc6">&#9670;&nbsp;</a></span>getCurrentDirectory()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string FTPServer::getCurrentDirectory </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Retrieve the current directory. </p>

</div>
</div>
<a id="a193be61985bf88aa0cc70834a801916a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a193be61985bf88aa0cc70834a801916a">&#9670;&nbsp;</a></span>setCallbacks()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void FTPServer::setCallbacks </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classFTPCallbacks.html">FTPCallbacks</a> *&#160;</td>
          <td class="paramname"><em>pCallbacks</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Set the callbacks that are to be invoked to perform work. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pCallbacks</td><td>An instance of an <a class="el" href="classFTPCallbacks.html">FTPCallbacks</a> based class. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="adee541fc29714c9ff5f478892b0efe60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adee541fc29714c9ff5f478892b0efe60">&#9670;&nbsp;</a></span>setPort()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void FTPServer::setPort </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>port</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Set the TCP port we should listen on for FTP client requests. </p>

</div>
</div>
<a id="a84264700de3f7a384a885977145ba9c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84264700de3f7a384a885977145ba9c0">&#9670;&nbsp;</a></span>start()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void FTPServer::start </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Start being an FTP Server. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="FTPServer_8h_source.html">FTPServer.h</a></li>
<li>FTPServer.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
